Bug 374021 - curl + nss doesn't work when a smartcard is inserted
curl + nss doesn't work when a smartcard is inserted
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-09 18:05 EST by Nalin Dahyabhai
Modified: 2013-07-02 19:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 05:44:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2007-11-09 18:05:55 EST
Description of problem:
I'm getting
 curl: (35) SSL connect error
when I run the example command from bug #266021 on my F8 box when a smart card
is inserted.

I'm using the libcoolkeypk11.so module in combination with either ifd-egate or
ccid (same behavior happens with both).

Version-Release number of selected component (if applicable):
  curl-7.16.4-10.fc9
  coolkey-1.1.0-5.fc8
  nss-3.11.99.2-1.fc9
  ifd-egate-0.05-19
  ccid-1.2.1-3.fc8
  pcsc-lite-1.3.3-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. Insert smart card.
2. Run "curl -k --cert ~/.fedora.cert -F "name=<package>" -F "md5sum=<sum>" -F
"filename=<filename>" https://cvs.fedoraproject.org/repo/pkgs/upload.cgi
  
Actual results:
curl: (35) SSL connect error

Expected results:
Available
 or
Missing

Additional Information:
I'm never prompted for a PIN.  When I either remove the card from the reader or
stop pcscd, it works again.  If I then reinsert the card or restart pcscd, it
starts failing again.
Comment 1 Jindrich Novy 2007-11-20 06:35:36 EST
Could you try it again with curl 7.17.1 we have in rawhide?

It contains additional NSS fixes what may fix this problem.
Comment 2 Nalin Dahyabhai 2007-11-20 10:39:46 EST
Yup, 7.17.1 seems to fix it.  Thanks!
Comment 3 Jindrich Novy 2007-11-21 05:44:18 EST
Ok, the F8 update with 7.17.1 has been pushed yesterday, so just yum update curl
today will fix it "officially" :)

Note You need to log in before you can comment on or make changes to this bug.